package com.sinosig.core.module.dao;

import com.sinosig.core.module.filter.SYXTBYDSearchContext;
import com.sinosig.core.module.dao.po.ISYXTBYDTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface ISYXTBYDTableDAO {

    ISYXTBYDTable createSyxtbydTable();

    boolean remove(String syxtbydid);

    boolean update(ISYXTBYDTable et);

    boolean create(ISYXTBYDTable et);

    ISYXTBYDTable get(String syxtbydid);

    ISYXTBYDTable get(ISYXTBYDTable et);


    List<ISYXTBYDTable> searchDefault(SYXTBYDSearchContext context);
}
